Adobe Connect Meeting System Requirements

Please visit the Adobe Support website for Connect Meeting system requirements. Configure Your Computer for the Adobe Connect Meeting application (version 9.5) If you are a Meeting Host or a Presenter, it is recommended that you install the latest release of the Adobe Connect add-in: https://helpx.adobe.com/adobe-connect/kb/adobe-connect-9-5-add-in-release-notes.html

Read More

D2L & Adobe Connect System requirements

Desktop / Laptop computers D2L is compatible with most major browsers and operating systems.  Click here to see specific platform requirements.  Some features may require popups to be allowed. Online sessions (using Adobe Connect) may require the use of headphones and microphones/ a webcam.  Adobe Connect will also require Adobe Flash to be installed on […]

Read More